unit OptsDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls,

  FLXPlay;

type
  TOptionsDlg = class(TForm)
    TimeUnit: TRadioGroup;
    Speed: TRadioGroup;
    Display: TRadioGroup;
    OKButton: TButton;
    Button2: TButton;
    procedure FormCreate(Sender: TObject);
    procedure OKButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  OptionsDlg: TOptionsDlg;

implementation

uses MainFrm;

{$R *.DFM}

procedure TOptionsDlg.FormCreate(Sender: TObject);
begin
  TimeUnit.ItemIndex := ord( MainForm.FLXPlayer.TimeFormat );
  Speed.ItemIndex := ord( MainForm.FLXPlayer.Timing );
  Display.ItemIndex := ord( MainForm.FLXPlayer.DisplayOpt );
end;

procedure TOptionsDlg.OKButtonClick(Sender: TObject);
begin
  MainForm.FLXPlayer.TimeFormat := TFLXPlayerTimeFormat( TimeUnit.ItemIndex );
  MainForm.FLXPlayer.Timing := TFLXPlayerTiming( Speed.ItemIndex );
  MainForm.FLXPlayer.DisplayOpt := TFLXPlayerDisplayOpt( Display.ItemIndex );
end;

end.
